net.sf.jasperreports.crosstabs.type

## Enum CrosstabPercentageEnum

- java.lang.Object
- - java.lang.Enum<CrosstabPercentageEnum>
  - - net.sf.jasperreports.crosstabs.type.CrosstabPercentageEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CrosstabPercentageEnum>, JREnum, NamedEnum

      public enum CrosstabPercentageEnum
      extends java.lang.Enum<CrosstabPercentageEnum>
      implements JREnum

  Version:
    $Id: CrosstabPercentageEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRAND_TOTAL` Percentage type indicating that the value will be calculated as percentage of the grand total value.
    `NONE` Percentage type indicating that the value will not be calculated as a percentage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CrosstabPercentageEnum` | `getByName(java.lang.String name)`
    `static CrosstabPercentageEnum` | `getByValue(byte value)`
    `static CrosstabPercentageEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static CrosstabPercentageEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CrosstabPercentageEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CrosstabPercentageEnum NONE

      Percentage type indicating that the value will not be calculated as a percentage.

    - #### GRAND_TOTAL

          public static final CrosstabPercentageEnum GRAND_TOTAL

      Percentage type indicating that the value will be calculated as percentage of the grand total value.

  - ### Method Detail

    - #### values

          public static CrosstabPercentageEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrosstabPercentageEnum c : CrosstabPercentageEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrosstabPercentageEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static CrosstabPercentageEnum getByName(java.lang.String name)

    - #### getByValue

          public static CrosstabPercentageEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static CrosstabPercentageEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com